Bug 1122764 - [Tracker] Deploy Keystone in Apache httpd
Summary: [Tracker] Deploy Keystone in Apache httpd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 6.0 (Juno)
Assignee: Scott Lewis
QA Contact: Udi
URL:
Whiteboard:
: 1115647 (view as bug list)
Depends On: 1111274 1122767
Blocks: 1123117 1126594 1138424 1170218 1170223 1170224 1170225 1170370 1170372 1180230
TreeView+ depends on / blocked
 
Reported: 2014-07-24 03:31 UTC by Nathan Kinder
Modified: 2019-04-16 14:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1123117 1138424 (view as bug list)
Environment:
Last Closed: 2016-01-19 15:03:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nathan Kinder 2014-07-24 03:31:41 UTC
Keystone's preferred deployment has changed to running within Apache httpd/mod_wsgi upstream.  This offers better performance, stronger authentication mechanisms, and federation capabilities over using eventlet (keystone-all).

We should deploy Keystone in httpd/mod_wsgi for RHEL OSP 6.0 via all supported installation methods.

This bug will serve as a tracker for the various sub-tasks that are needed to complete this work across components.

Comment 1 Nathan Kinder 2014-08-05 20:11:09 UTC
*** Bug 1115647 has been marked as a duplicate of this bug. ***

Comment 2 Jaromir Coufal 2016-01-19 15:03:13 UTC
Already EOL for Installer, it is tracked and will be fixed in next versions of RHEL OpenStack Platform director (successor of RHEL OSP Installer).


Note You need to log in before you can comment on or make changes to this bug.